Subject: Re: bug#34180: 27.0.50; argv[0] used incorrectly to find the .pdmp

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Oct 2021 08:10:56 -0700

On 10/11/21 7:02 AM, Lars Ingebrigtsen wrote:
> It looks like find_executable from progreloc in gnulib provides a
> portable interface for this?

It does, although it drags in a bunch of other Gnulib modules, as this 
stuff is wildly system-dependent.

For ordinary Emacs installation, I've long thought that a better 
approach is to store the default .pdmp file as a readonly char array 
within the Emacs executable itself. This would be easier for installers, 
sysadmins and users, as it would entail no funny rules about installing 
two files, keeping them in sync, symlinks, PATH, argv[0], relative 
names, security, etc.

Perhaps native compilation effectively does this for us already? If so, 
then the fix for this bug report would be "use native compilation".